<!DOCTYPE html>
<html lang="ru">

<head>
	<title>Мега супер пупер телевизоры</title>
	<meta charset="UTF-8">
	<link type="text/css" rel="stylesheet" href="style.css">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script type="text/javascript" src="java.js"></script>
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
	
	<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
	<script src="https://unpkg.com/vue-router@2.0.0/dist/vue-router.js"></script>

	<script src="https://unpkg.com/redux@4.0.5/dist/redux.js"></script>

	<script crossorigin src="https://unpkg.com/react@16/umd/react.development.js"></script>
	<script crossorigin src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/babel-standalone/6.24.0/babel.js"></script>

	<!--Подгрузим форму с помощью реакта-->
	<script type="text/babel">

		const SEND = 'SEND';
		const RECEIVE = 'RECEIVE';
		const WAIT = 'WAIT';

		const initialState = {type: WAIT, payload: null};
		
		function makeSend(element) {
			return {type: SEND, payload: element};
		}

		function makeReceive(element) {
			return {type: RECEIVE, payload: element};
		}

		function formStates(state = initialState, action) {
			switch(action.type)
			{
				case SEND: {
					let overlay = document.getElementById('load-overlay');
					overlay.style.display = "inline";
					action.payload.disabled = true;
					return makeReceive(action.element);
				}
				case RECEIVE: {
					let overlay = document.getElementById('load-overlay');
					overlay.style.display = "none";
					action.payload.disabled = false;
					return initialState;
				}
				default:
					return state;
			}
		}

		const store = window.Redux.createStore(formStates);

		const router = new VueRouter({
		})

		const app = new Vue({
		router
		}).$mount('#app')

		class Form extends React.Component {
			render() {
				return (
					<div id="app">
						<p><strong>СУПЕР ПУПЕР ТЕЛЕВИЗОРЫ</strong></p>
						<p>+86(186)66660854</p>
						<p>E-mail: <a href="">sales@aviselectronics.com</a></p>
						<p>Mon-Fri: 09:00 - 18:00,<br />Sat: 09:00 - 12:00(UTC +08:00)</p>
						<form accept-charset="UTF-8">
							<input type="text" placeholder="Name" name="name" id="form-id" />
							<br />
							<input type="email" placeholder="E-mail" name="e-mail" id="form-email" />
							<br />
							<textarea placeholder="Comment" id="form-text"></textarea>
							<br />
							<button type="button" class="submit" id="form-send" onClick={send}>SEND</button>
						</form>
					</div>
				);
			}
		}
		
		async function send()
		{
			//Адрес формы на formcarry
			let url = 'https://formcarry.com/s/Q2zFSovOxpX';

			let btn = document.getElementById('form-send');

			router.push('/form');

			let name = document.getElementById('form-id').value;

			if (!name)
			{
				name = localStorage.getItem('name');
				document.getElementById('form-id').value = name;
			}
			else
			{
				localStorage.setItem('name', name);
			}

			let email = document.getElementById('form-email').value;
				
			if (!email)
			{
				email = localStorage.getItem('mail');
				document.getElementById('form-email').value = email;
			}
			else
			{
				localStorage.setItem('mail', email);
			}

			let text = document.getElementById('form-text').value;

			if (!text)
			{
				text = localStorage.getItem('text');
				document.getElementById('form-text').value = text;
			}
			else
			{
				localStorage.setItem('text', text);
			}

			const data = {name : name, email : email, comment : text};

			store.dispatch(makeSend(btn));

			try {

			const responce = await fetch(url, {
					method: 'POST',
					headers: {'Content-Type': 'application/json', 'Accept': 'application/json'},
					body: JSON.stringify(data)
			});

			if (responce.ok)
			{
				alert("Thanks for message! We will contact you soon.");
				localStorage.clear();

				document.getElementById('form-id').value = "";
				document.getElementById('form-email').value = "";
				document.getElementById('form-text').value = "";
			}
			else
			{
				alert("Error " + responce.status);
			}
			}
			catch(e)
			{
				alert("Error" + e);
			}
				
			store.dispatch(makeReceive(btn));
		}

		ReactDOM.render(
			<Form />,
			document.getElementById('contact')
		);
	</script>

</head>

<body>
	<div class = "load-overlay" id="load-overlay">
		<img src="ajax-loader.gif" alt="">
	</div>
	<header>
		<ul class="header-things">
			<li><img src="logo.png" alt=""></li>
			<li>
				<a class="button catalog" href="">Catalog</a>
				<ul class="dropdown-custom">
						<li>Сколько</li>
						<li>Можно</li>
						<li>Уже</li>
						<li>ДО</li>
						<li>РЕ</li>
						<li>МИ</li>
						<li>ФА</li>
						<li>СОЛЬ</li>
						<li>ЛЯ</li>
						<li>СИ</li>
				</ul>
			</li>
			<li class="nav1">
				<ul class="info-1">
					<li><a href="">Where to buy</a></li>
					<li><a href="">Become a Reseller</a></li>
					<li><a href="">Contacts</a></li>
				</ul>
			</li>
			<li class="nav2">
				<ul class="info-1">
					<li><a href="">Shipping Information</a></li>
					<li><a href="">News</a></li>
					<li><a href="">Blog</a></li>
				</ul>
			</li>
			<li><img src="freeshipping.jpg" alt=""></li>
		</ul>
	</header>
	<div class="main-pic">
		<img class="pic" src="tv1.jpg" alt="">
		<div class="overlay">
			<h2>THE MOST EXCLUSIVE YET</h2>
			<h1><strong>AFFORDABLE TVs</strong></h1>
			<h4>IN THE WORLD</h4>
			<ul>
				<li>
					<img src="tv_bathroom_icon.jpg" alt = "">
					<span>
					<strong>BATHROOM</strong><br>
					TELEVISIONS
					</span>
				</li>
				<li>
					<img src="tv_mirror_icon.jpg" alt = "">
					<span>
					<strong>MIRROR</strong><br>
					TELEVISIONS
					</span>
				</li>
				<li>
					<img src="tv_kitchen_icon.jpg" alt = "">
					<span>
					<strong>KITCHEN</strong><br>
					TELEVISIONS
					</span>
				</li>
				<li>
					<img src="tv_open_frame_icon.jpg" alt = "">
					<span>
					<strong>OPEN FRAME</strong><br>
					TELEVISIONS
					</span>
				</li>
			</ul>
		</div>
	</div>
	<div class="description">
		<ul class="good">
			<li class="what">WATERPROOF</li>
			<li class="name">BATHROOM TVs</li>
			<li class="with">INTEGRATED VIBRATION SPEAKERS</li>
		</ul>
		<div class="property">
			<img src="1.gif" alt="">
			<p>WATERPROOF TV</P>
		</div>
		<div class="property">
			<img src="2.gif" alt="">
			<p>WATERPROOF REMOTE CONTROL</P>
		</div>
		<div class="property">
			<img src="3.gif" alt="">
			<p>VIBRATION SPEAKERS</P>
		</div>
		<div class="property">
			<img src="4.gif" alt="">
			<p>SMART TV (OPTION)</P>
		</div>
		<div class="property">
			<img src="5.gif" alt="">
			<p>EASY TO WASH</P>
		</div>
		<div class="property">
			<img src="6.gif" alt="">
			<p>FULL HD IPS LED</P>
		</div>
		<div class="property">
			<img src="7.gif" alt="">
			<p>DIGITAL TV SYSTEM</P>
		</div>
		<div class="property">
			<img src="8.gif" alt="">
			<p>2 YEAR WARRANTY</P>
		</div>
	</div>
	<div class="gallery">
	<div class="carousel slide med" id ="control" data-ride="carousel">
		<div class="carousel-inner">
			<div class="carousel-item active">
				<img class="d-block w-100" src="why.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="i.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="need.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="this.jpg" alt="">
			</div>
		</div>
		<a class="carousel-control-prev" href="#control" role="button" data-slide="prev">
			<span class="carousel-control-prev-icon" aria-hidden="true"></span>
			<span class="sr-only">Previous</span>
		</a>
		<a class="carousel-control-next" href="#control" role="button" data-slide="next">
			<span class="carousel-control-next-icon" aria-hidden="true"></span>
			<span class="sr-only">Next</span>
		</a>
	</div>
	<a class="button-more" href="#contact">FIND OUT MORE</a>
	</div>
	<div class="description">
		<ul class="good">
			<li class="what">MIRROR</li>
			<li class="name">TELEVISIONS</li>
			<li class="with">INTEGRATED VIBRATION SPEAKERS</li>
		</ul>
		<div class="property">
			<img src="1.gif" alt="">
			<p>WATERPROOF TV</P>
		</div>
		<div class="property">
			<img src="2.gif" alt="">
			<p>WATERPROOF REMOTE CONTROL</P>
		</div>
		<div class="property">
			<img src="3.gif" alt="">
			<p>VIBRATION SPEAKERS</P>
		</div>
		<div class="property">
			<img src="4.gif" alt="">
			<p>SMART TV (OPTION)</P>
		</div>
		<div class="property">
			<img src="5.gif" alt="">
			<p>EASY TO WASH</P>
		</div>
		<div class="property">
			<img src="6.gif" alt="">
			<p>FULL HD IPS LED</P>
		</div>
		<div class="property">
			<img src="7.gif" alt="">
			<p>DIGITAL TV SYSTEM</P>
		</div>
		<div class="property">
			<img src="8.gif" alt="">
			<p>2 YEAR WARRANTY</P>
		</div>
	</div>
	<div class="gallery">
	<div class="carousel slide" id ="control2" data-ride="carousel">
		<div class="carousel-inner">
			<div class="carousel-item active">
				<img class="d-block w-100" src="please.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="save.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="me.jpg" alt="">
			</div>
		</div>
		<a class="carousel-control-prev" href="#control2" role="button" data-slide="prev">
			<span class="carousel-control-prev-icon" aria-hidden="true"></span>
			<span class="sr-only">Previous</span>
		</a>
		<a class="carousel-control-next" href="#control2" role="button" data-slide="next">
			<span class="carousel-control-next-icon" aria-hidden="true"></span>
			<span class="sr-only">Next</span>
		</a>
	</div>
	<a class="button-more" href="#contact">FIND OUT MORE</a>
	</div>
	<div class="description">
		<ul class="good">
			<li class="what">WATERPROOF</li>
			<li class="name">KITCHEN TVs</li>
			<li class="with">INTEGRATED VIBRATION SPEAKERS</li>
		</ul>
		<div class="property">
			<img src="1.gif" alt="">
			<p>WATERPROOF TV</P>
		</div>
		<div class="property">
			<img src="4.gif" alt="">
			<p>ANDROID TV</P>
		</div>
		<div class="property">
			<img src="touch-screen.png" alt="">
			<p>TOUCHSCREEN</P>
		</div>
		<div class="property">
			<img src="4.gif" alt="">
			<p>SMART TV (OPTION)</P>
		</div>
		<div class="property">
			<img src="5.gif" alt="">
			<p>EASY TO WASH</P>
		</div>
		<div class="property">
			<img src="6.gif" alt="">
			<p>FULL HD IPS LED</P>
		</div>
		<div class="property">
			<img src="7.gif" alt="">
			<p>DIGITAL TV SYSTEM</P>
		</div>
		<div class="property">
			<img src="8.gif" alt="">
			<p>2 YEAR WARRANTY</P>
		</div>
	</div>
	<div class="gallery">
	<div class="carousel slide med" id ="control3" data-ride="carousel">
		<div class="carousel-inner">
			<div class="carousel-item active">
				<img class="d-block w-100" src="idont.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="want.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="make.jpg" alt="">
			</div>
			<div class="carousel-item">
				<img class="d-block w-100" src="web.jpg" alt="">
			</div>
		</div>
		<a class="carousel-control-prev" href="#control3" role="button" data-slide="prev">
			<span class="carousel-control-prev-icon" aria-hidden="true"></span>
			<span class="sr-only">Previous</span>
		</a>
		<a class="carousel-control-next" href="#control3" role="button" data-slide="next">
			<span class="carousel-control-next-icon" aria-hidden="true"></span>
			<span class="sr-only">Next</span>
		</a>
	</div>
	<a class="button-more" href="#contact">FIND OUT MORE</a>
	</div>
	<div class="about">
		<div class="text">
			<h5><strong>AVIS ELECTRONICS INDOOR WATERPROOF TVS</strong></h5>
			<p>Здесь должно быть что-то очень важное и интересные про эти встраиваемые телевизоры, но здесь я вставлю небольшое лирическое отступление.</p>
			<p>Пожалуйста, никогда больше не давайте такие сложные задания людям, которых вообще не интересует веб разработка.</p>
			<p>Я потратил на этот сайт две недели своей жизни, работая над ним с утра до ночи. Я засыпал с мыслью о телевизорах и просыпался с мыслью о телевизорах.</p>
			<p>Плагиатить сайты, хоть даже с целью обучения - плохая вещь, возможно, даже незаконная. Я считаю, что такой принцип обучения веб-разработке только дизморалит и приводит к выгоранию.</p>
			<p>Ну а теперь вернусь к сути дела.</p>
			<p><strong>AVEL</strong> (AVIS Electronics) is a professional bla-bla bla-bla bla-bla bla-bla bla-bla bla-bla bla-bla bla-blabla-bla bla-bla bla-bla bla-bla bla-bla bla-bla bla-bla bla-bla bla-bla</p>
			<p>bla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla-blabla</p>
			<p><strong>Looking for a perfect and special TV?</strong><br>
			You are at the right place, enjoy the premium services from AVEL: <br>
			- Free worldwide delivery by expedited courier (5-10 days) <br>
			- 2 Year unlimited warranty</p>
			<p><strong>Want to join AVEL distributor's program?</strong><br>
			<a href="">Send Your query</a> and develop or start your business with us!</p>
		</div>
		<div class="cert">
			<img src="emc.jpg" alt="">
			<img src="lvd.jpg" alt="">
			<img src="rohs_0.jpg" alt="">
		</div>
	</div>
	<div class="map">
		<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2817.8020648233546!2d38.96522111554416!3d45.069526179098226!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x40f045320bc3e379%3A0x205cb49ce4612932!2zQVZFTCwg0J7RhNC40YEg0L_RgNC-0LTQsNC2INCyINCa0YDQsNGB0L3QvtC00LDRgNC1!5e0!3m2!1sru!2sru!4v1574603918102!5m2!1sru!2sru" width="100%" height="600" frameborder="0" style="border:0;" allowfullscreen=""></iframe>
		<div class="contact" id="contact"></div>
	</div>
	<footer>
		А вот футер куда-то убежал...
	</footer>
</body>

</html>